# NullController Class Reference
[Spring-like webflow tools]

Inheritance diagram for NullController:
[legend]

List of all members.

## Public Member Functions

| __construct (Model $model=null)
| handleRequest (HttpRequest $request)

## Static Public Member Functions

static | create (Model $model=null)

## Private Attributes

| $model = null

## Detailed Description

Definition at line 15 of file NullController.class.php.

## Constructor & Destructor Documentation

NullController::__construct | ( | Model $ | model = `null` | ) |

Definition at line 27 of file NullController.class.php.

References $model.

## Member Function Documentation

static NullController::create | ( | Model $ | model = `null` | ) | `[static]`

Returns:
  NullController

Definition at line 22 of file NullController.class.php.

References $model.

Referenced by handleRequest().

NullController::handleRequest | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Implements Controller.

Definition at line 35 of file NullController.class.php.

References create().

Here is the call graph for this function:

## Member Data Documentation

NullController::$model = null`[private]`

Definition at line 17 of file NullController.class.php.

Referenced by __construct(), and create().

The documentation for this class was generated from the following file:

- main/Flow/NullController.class.php